Subject: Re: max_parallel_workers question

From: Bruce Momjian <[email-masked]>
Date: Wed, 8 Nov 2023 16:15:21 -0500

On Sat, Sep 28, 2019 at 12:10:53AM -0400, Robert Haas wrote:
> On Fri, Sep 27, 2019 at 8:07 PM Jeff Davis <[email-masked]> wrote:
> > The current docs for max_parallel_workers start out:
> >
> > "Sets the maximum number of workers that the system can support for
> > parallel operations..."
> >
> > In my interpretation, "the system" means the entire cluster, but the
> > max_parallel_workers setting is PGC_USERSET. That's a bit confusing,
> > because two different backends can have different settings for "the
> > maximum number ... the system can support".
> 
> Oops.
> 
> I intended it to mean "the entire cluster." Basically, how many
> workers out of max_worker_processes are you willing to use for
> parallel query, as opposed to other things. I agree that PGC_USERSET
> doesn't make any sense.

I found two places there "custer" was better than "system", so I applied
the attached patch to master.

-- 
  Bruce Momjian  <[email-masked]>        https://momjian.us
  EDB                                      https://enterprisedb.com

  Only you can decide what is important to you.
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index bd70ff2e4b..fc35a46e5e 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -2572,7 +2572,7 @@ include_dir 'conf.d'
        </term>
        <listitem>
         <para>
-         Sets the maximum number of background processes that the system
+         Sets the maximum number of background processes that the cluster
          can support.  This parameter can only be set at server start.  The
          default is 8.
         </para>
@@ -2680,7 +2680,7 @@ include_dir 'conf.d'
        </term>
        <listitem>
         <para>
-         Sets the maximum number of workers that the system can support for
+         Sets the maximum number of workers that the cluster can support for
          parallel operations.  The default value is 8.  When increasing or
          decreasing this value, consider also adjusting
          <xref linkend="guc-max-parallel-maintenance-workers"/> and